<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetLoggedInWindowsUserID Method (IEdmVault11)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault11 Interface : GetLoggedInWindowsUserID Method (IEdmVault11)

Visual Basic
C#
C++/CLI

bsVault
  Name of the vault for which to get the logged-in user

Gets the ID of the user who is currently logged in through the SOLIDWORKS PDM Professional client software on this machine.

# Syntax

Visual Basic |
--- | ---

    Function GetLoggedInWindowsUserID( _
       ByVal bsVault As System.String _
    ) As System.Integer

C# |
--- | ---

    System.int GetLoggedInWindowsUserID(
       System.string bsVault
    )

C++/CLI |
--- | ---

    System.int GetLoggedInWindowsUserID(
    &   System.String^ bsVault
    )

#### Parameters

bsVault
  Name of the vault for which to get the logged-in user

#### Return Value

ID of the logged-in user; 0 if no one is logged in

# Remarks

Any number of users can be logged into a vault at the same time by calling IEdmVault5::Login. However, only a single user can be logged into a machine either through the SOLIDWORKS PDM Professional client software or by calling IEdmVault5::LoginAuto. This is the user for whom this method returns an ID.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVault11 Interface
IEdmVault11 Members

# Availability

SOLIDWORKS PDM Professional 2010